Subject: Merge of hpf2dep

From: Zheng Gengbing <[email-masked]>
Date: Mon, 15 Apr 1996 19:14:11 +0800 (EAT)

Hi , 

	I have merged the hpf2dep  except only f90.y !

	I modified both pku & hit 's version , now except f90.y , all are same.
 
        I put new 30 & 35 in home dir ,named 1.31 & 1.36 , please get them .

	Since the origin auther who modify the fD.y are busy with other 
thing, so I merge fD.y myself .
       Below are some modifications of my-coworker to fD.y , 
this will effect unparse , please notice :

distribute_directive:
                            DISTRIBUTE_DECL
                                  |
                         +--------------------+
                         |        |           |
                     EXPR_LIST           EXPR_LIST
                                              |
                                        DISTRIBUTE_OP
                                              |
                                     >>>   DISTRIBUTE_OP <<<
                                              this DISTRIBUTE_OP is deleted.
 
similarily , all the two DISTRIBUTE_OP & ALIGN_OP are reduced to one .

redistribute_directive:
	I merge the  REDISTRIBUTE_STMT & CBREDISTRIBUTE_STMT to new 
version .
	and two DISTRIBUTE_OP are reduced to one .

align_dirctive:

	new version                v.s            old version
	  ALIGN_DECL                              ALIGN_DECL
             |                                        |
      +------+--------+                         +------+-------+
      |      |        |                         |      |       |
    EXPR_LIST     EXPR_LIST                 EXPR_LIST    ALIGN_OP
                     |                                         |
                  ALIGN_OP                               ALIGN_OP
                  (only one)

realign_directive:
	I also merge the REALIGN_STMT & CBREALIGN_STMT to the new version.
	and two ALIGN_OP are reduced to one .

Two extra CBREALIGN_STMT & CBDISTRIBUTE_STMT are added to new 
version , I think it is not graceful . We will add some attribute to indicate
the condition in later version.

Zheng Gengbin